|
|||||||||
| Home >> All >> javax >> servlet >> [ http overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
javax.servlet.http
Interface HttpServletRequest

- All Superinterfaces:
- javax.servlet.ServletRequest
- All Known Implementing Classes:
- HttpServletRequestWrapper
- public interface HttpServletRequest
- extends javax.servlet.ServletRequest
Extends the javax.servlet.ServletRequest interface to provide request information for HTTP servlets.
The servlet container creates an HttpServletRequest
object and passes it as an argument to the servlet's service
methods (doGet, doPost, etc).
- Version:
- $Version$
| Field Summary | |
static java.lang.String |
BASIC_AUTH
String identifier for Basic authentication. |
static java.lang.String |
CLIENT_CERT_AUTH
String identifier for Client Certificate authentication. |
static java.lang.String |
DIGEST_AUTH
String identifier for Digest authentication. |
static java.lang.String |
FORM_AUTH
String identifier for Form authentication. |
| Method Summary | |
java.lang.String |
getAuthType()
Returns the name of the authentication scheme used to protect the servlet. |
java.lang.String |
getContextPath()
Returns the portion of the request URI that indicates the context of the request. |
Cookie[] |
getCookies()
Returns an array containing all of the Cookie
objects the client sent with this request. |
long |
getDateHeader(java.lang.String name)
Returns the value of the specified request header as a long value that represents a
Date object. |
java.lang.String |
getHeader(java.lang.String name)
Returns the value of the specified request header as a String. |
java.util.Enumeration |
getHeaderNames()
Returns an enumeration of all the header names this request contains. |
java.util.Enumeration |
getHeaders(java.lang.String name)
Returns all the values of the specified request header as an Enumeration of String objects. |
int |
getIntHeader(java.lang.String name)
Returns the value of the specified request header as an int. |
java.lang.String |
getMethod()
Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT. |
java.lang.String |
getPathInfo()
Returns any extra path information associated with the URL the client sent when it made this request. |
java.lang.String |
getPathTranslated()
Returns any extra path information after the servlet name but before the query string, and translates it to a real path. |
java.lang.String |
getQueryString()
Returns the query string that is contained in the request URL after the path. |
java.lang.String |
getRemoteUser()
Returns the login of the user making this request, if the user has been authenticated, or null if the user
has not been authenticated. |
java.lang.String |
getRequestedSessionId()
Returns the session ID specified by the client. |
java.lang.String |
getRequestURI()
Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request. |
java.lang.StringBuffer |
getRequestURL()
Reconstructs the URL the client used to make the request. |
java.lang.String |
getServletPath()
Returns the part of this request's URL that calls the servlet. |
HttpSession |
getSession()
Returns the current session associated with this request, or if the request does not have a session, creates one. |
HttpSession |
getSession(boolean create)
Returns the current HttpSession
associated with this request or, if there is no
current session and create is true, returns
a new session. |
java.security.Principal |
getUserPrincipal()
Returns a java.security.Principal object containing
the name of the current authenticated user. |
boolean |
isRequestedSessionIdFromCookie()
Checks whether the requested session ID came in as a cookie. |
boolean |
isRequestedSessionIdFromUrl()
Deprecated. As of Version 2.1 of the Java Servlet API, use isRequestedSessionIdFromURL() 55
instead. |
boolean |
isRequestedSessionIdFromURL()
Checks whether the requested session ID came in as part of the request URL. |
boolean |
isRequestedSessionIdValid()
Checks whether the requested session ID is still valid. |
boolean |
isUserInRole(java.lang.String role)
Returns a boolean indicating whether the authenticated user is included in the specified logical "role". |
| Methods inherited from interface javax.servlet.ServletRequest |
getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding |
| Field Detail |
BASIC_AUTH
public static final java.lang.String BASIC_AUTH
- String identifier for Basic authentication. Value "BASIC"
- See Also:
- Constant Field Values
FORM_AUTH
public static final java.lang.String FORM_AUTH
- String identifier for Form authentication. Value "FORM"
- See Also:
- Constant Field Values
CLIENT_CERT_AUTH
public static final java.lang.String CLIENT_CERT_AUTH
- String identifier for Client Certificate authentication. Value "CLIENT_CERT"
- See Also:
- Constant Field Values
DIGEST_AUTH
public static final java.lang.String DIGEST_AUTH
- String identifier for Digest authentication. Value "DIGEST"
- See Also:
- Constant Field Values
| Method Detail |
getAuthType
public java.lang.String getAuthType()
- Returns the name of the authentication scheme used to protect
the servlet. All servlet containers support basic, form and client
certificate authentication, and may additionally support digest
authentication.
If the servlet is not authenticated
nullis returned.Same as the value of the CGI variable AUTH_TYPE.
getCookies
public Cookie[] getCookies()
- Returns an array containing all of the
Cookieobjects the client sent with this request. This method returnsnullif no cookies were sent.
getDateHeader
public long getDateHeader(java.lang.String name)
- Returns the value of the specified request header
as a
longvalue that represents aDateobject. Use this method with headers that contain dates, such asIf-Modified-Since.The date is returned as the number of milliseconds since January 1, 1970 GMT. The header name is case insensitive.
If the request did not have a header of the specified name, this method returns -1. If the header can't be converted to a date, the method throws an
IllegalArgumentException.
getHeader
public java.lang.String getHeader(java.lang.String name)
- Returns the value of the specified request header
as a
String. If the request did not include a header of the specified name, this method returnsnull. If there are multiple headers with the same name, this method returns the first head in the request. The header name is case insensitive. You can use this method with any request header.
getHeaders
public java.util.Enumeration getHeaders(java.lang.String name)
- Returns all the values of the specified request header
as an
EnumerationofStringobjects.Some headers, such as
Accept-Languagecan be sent by clients as several headers each with a different value rather than sending the header as a comma separated list.If the request did not include any headers of the specified name, this method returns an empty
Enumeration. The header name is case insensitive. You can use this method with any request header.
getHeaderNames
public java.util.Enumeration getHeaderNames()
- Returns an enumeration of all the header names
this request contains. If the request has no
headers, this method returns an empty enumeration.
Some servlet containers do not allow servlets to access headers using this method, in which case this method returns
null
getIntHeader
public int getIntHeader(java.lang.String name)
- Returns the value of the specified request header
as an
int. If the request does not have a header of the specified name, this method returns -1. If the header cannot be converted to an integer, this method throws aNumberFormatException.The header name is case insensitive.
getMethod
public java.lang.String getMethod()
- Returns the name of the HTTP method with which this
request was made, for example, GET, POST, or PUT.
Same as the value of the CGI variable REQUEST_METHOD.
getPathInfo
public java.lang.String getPathInfo()
- Returns any extra path information associated with
the URL the client sent when it made this request.
The extra path information follows the servlet path
but precedes the query string and will start with
a "/" character.
This method returns
nullif there was no extra path information.Same as the value of the CGI variable PATH_INFO.
getPathTranslated
public java.lang.String getPathTranslated()
- Returns any extra path information after the servlet name
but before the query string, and translates it to a real
path. Same as the value of the CGI variable PATH_TRANSLATED.
If the URL does not have any extra path information, this method returns
nullor the servlet container cannot translate the virtual path to a real path for any reason (such as when the web application is executed from an archive). The web container does not decode this string.
getContextPath
public java.lang.String getContextPath()
- Returns the portion of the request URI that indicates the context
of the request. The context path always comes first in a request
URI. The path starts with a "/" character but does not end with a "/"
character. For servlets in the default (root) context, this method
returns "". The container does not decode this string.
getQueryString
public java.lang.String getQueryString()
- Returns the query string that is contained in the request
URL after the path. This method returns
nullif the URL does not have a query string. Same as the value of the CGI variable QUERY_STRING.
getRemoteUser
public java.lang.String getRemoteUser()
- Returns the login of the user making this request, if the
user has been authenticated, or
nullif the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.
isUserInRole
public boolean isUserInRole(java.lang.String role)
- Returns a boolean indicating whether the authenticated user is included
in the specified logical "role". Roles and role membership can be
defined using deployment descriptors. If the user has not been
authenticated, the method returns
false.
getUserPrincipal
public java.security.Principal getUserPrincipal()
- Returns a
java.security.Principalobject containing the name of the current authenticated user. If the user has not been authenticated, the method returnsnull.
getRequestedSessionId
public java.lang.String getRequestedSessionId()
- Returns the session ID specified by the client. This may
not be the same as the ID of the current valid session
for this request.
If the client did not specify a session ID, this method returns
null.
getRequestURI
public java.lang.String getRequestURI()
- Returns the part of this request's URL from the protocol
name up to the query string in the first line of the HTTP request.
The web container does not decode this String.
For example:
First line of HTTP request Returned Value POST /some/path.html HTTP/1.1 /some/path.html GET http://foo.bar/a.html HTTP/1.0 /a.html HEAD /xyz?a=b HTTP/1.1 /xyz To reconstruct an URL with a scheme and host, use
HttpUtils.getRequestURL(javax.servlet.http.HttpServletRequest)55 .
getRequestURL
public java.lang.StringBuffer getRequestURL()
- Reconstructs the URL the client used to make the request.
The returned URL contains a protocol, server name, port
number, and server path, but it does not include query
string parameters.
Because this method returns a
StringBuffer, not a string, you can modify the URL easily, for example, to append query parameters.This method is useful for creating redirect messages and for reporting errors.
getServletPath
public java.lang.String getServletPath()
- Returns the part of this request's URL that calls
the servlet. This path starts with a "/" character
and includes either the servlet name or a path to
the servlet, but does not include any extra path
information or a query string. Same as the value of
the CGI variable SCRIPT_NAME.
This method will return an empty string ("") if the servlet used to process this request was matched using the "/*" pattern.
getSession
public HttpSession getSession(boolean create)
- Returns the current
HttpSessionassociated with this request or, if there is no current session andcreateis true, returns a new session.If
createisfalseand the request has no validHttpSession, this method returnsnull.To make sure the session is properly maintained, you must call this method before the response is committed. If the container is using cookies to maintain session integrity and is asked to create a new session when the response is committed, an IllegalStateException is thrown.
getSession
public HttpSession getSession()
- Returns the current session associated with this request,
or if the request does not have a session, creates one.
isRequestedSessionIdValid
public boolean isRequestedSessionIdValid()
- Checks whether the requested session ID is still valid.
isRequestedSessionIdFromCookie
public boolean isRequestedSessionIdFromCookie()
- Checks whether the requested session ID came in as a cookie.
isRequestedSessionIdFromURL
public boolean isRequestedSessionIdFromURL()
- Checks whether the requested session ID came in as part of the
request URL.
isRequestedSessionIdFromUrl
public boolean isRequestedSessionIdFromUrl()
- Deprecated. As of Version 2.1 of the Java Servlet
API, use
isRequestedSessionIdFromURL()55 instead.
|
|||||||||
| Home >> All >> javax >> servlet >> [ http overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC